Package org.pgpainless.decryption_verification

# Interface DecryptionBuilderInterface.DecryptWith

Enclosing interface:
  `DecryptionBuilderInterface`

public static interface DecryptionBuilderInterface.DecryptWith

## Method Summary

Modifier and Type
Method
Description
`DecryptionStream`
`withOptions(ConsumerOptions consumerOptions)`
Add options for decryption / signature verification, such as keys, passphrases etc.

## Method Details

### withOptions

DecryptionStream withOptions(ConsumerOptions consumerOptions) throws org.bouncycastle.openpgp.PGPException, IOException
Add options for decryption / signature verification, such as keys, passphrases etc.

Parameters:
  `consumerOptions` - consumer options
Returns:
  decryption stream
Throws:
  `org.bouncycastle.openpgp.PGPException` - in case of an OpenPGP related error
  `IOException` - in case of an IO error